Module java.base
Package java.lang.classfilePREVIEW

# Class Attributes

java.lang.Object
java.lang.classfile.Attributes

public class Attributes extends Object
`Attributes` is a preview API of the Java platform.
Programs can only use `Attributes` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Attribute mappers for standard classfile attributes.

Since:
  22
See Also:
  - `AttributeMapper`PREVIEW

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AttributeMapperPREVIEW<AnnotationDefaultAttributePREVIEW>`
  `ANNOTATION_DEFAULT`
  Attribute mapper for the `AnnotationDefault` attribute
  `static final AttributeMapperPREVIEW<BootstrapMethodsAttributePREVIEW>`
  `BOOTSTRAP_METHODS`
  Attribute mapper for the `BootstrapMethods` attribute
  `static final AttributeMapperPREVIEW<CharacterRangeTableAttributePREVIEW>`
  `CHARACTER_RANGE_TABLE`
  Attribute mapper for the `CharacterRangeTable` attribute
  `static final AttributeMapperPREVIEW<CodeAttributePREVIEW>`
  `CODE`
  Attribute mapper for the `Code` attribute
  `static final AttributeMapperPREVIEW<CompilationIDAttributePREVIEW>`
  `COMPILATION_ID`
  Attribute mapper for the `CompilationID` attribute
  `static final AttributeMapperPREVIEW<ConstantValueAttributePREVIEW>`
  `CONSTANT_VALUE`
  Attribute mapper for the `ConstantValue` attribute
  `static final AttributeMapperPREVIEW<DeprecatedAttributePREVIEW>`
  `DEPRECATED`
  Attribute mapper for the `Deprecated` attribute
  `static final AttributeMapperPREVIEW<EnclosingMethodAttributePREVIEW>`
  `ENCLOSING_METHOD`
  Attribute mapper for the `EnclosingMethod` attribute
  `static final AttributeMapperPREVIEW<ExceptionsAttributePREVIEW>`
  `EXCEPTIONS`
  Attribute mapper for the `Exceptions` attribute
  `static final AttributeMapperPREVIEW<InnerClassesAttributePREVIEW>`
  `INNER_CLASSES`
  Attribute mapper for the `InnerClasses` attribute
  `static final AttributeMapperPREVIEW<LineNumberTableAttributePREVIEW>`
  `LINE_NUMBER_TABLE`
  Attribute mapper for the `LineNumberTable` attribute
  `static final AttributeMapperPREVIEW<LocalVariableTableAttributePREVIEW>`
  `LOCAL_VARIABLE_TABLE`
  Attribute mapper for the `LocalVariableTable` attribute
  `static final AttributeMapperPREVIEW<LocalVariableTypeTableAttributePREVIEW>`
  `LOCAL_VARIABLE_TYPE_TABLE`
  Attribute mapper for the `LocalVariableTypeTable` attribute
  `static final AttributeMapperPREVIEW<MethodParametersAttributePREVIEW>`
  `METHOD_PARAMETERS`
  Attribute mapper for the `MethodParameters` attribute
  `static final AttributeMapperPREVIEW<ModuleAttributePREVIEW>`
  `MODULE`
  Attribute mapper for the `Module` attribute
  `static final AttributeMapperPREVIEW<ModuleHashesAttributePREVIEW>`
  `MODULE_HASHES`
  Attribute mapper for the `ModuleHashes` attribute
  `static final AttributeMapperPREVIEW<ModuleMainClassAttributePREVIEW>`
  `MODULE_MAIN_CLASS`
  Attribute mapper for the `ModuleMainClass` attribute
  `static final AttributeMapperPREVIEW<ModulePackagesAttributePREVIEW>`
  `MODULE_PACKAGES`
  Attribute mapper for the `ModulePackages` attribute
  `static final AttributeMapperPREVIEW<ModuleResolutionAttributePREVIEW>`
  `MODULE_RESOLUTION`
  Attribute mapper for the `ModuleResolution` attribute
  `static final AttributeMapperPREVIEW<ModuleTargetAttributePREVIEW>`
  `MODULE_TARGET`
  Attribute mapper for the `ModuleTarget` attribute
  `static final String`
  `NAME_ANNOTATION_DEFAULT`
  AnnotationDefault
  `static final String`
  `NAME_BOOTSTRAP_METHODS`
  BootstrapMethods
  `static final String`
  `NAME_CHARACTER_RANGE_TABLE`
  CharacterRangeTable
  `static final String`
  `NAME_CODE`
  Code
  `static final String`
  `NAME_COMPILATION_ID`
  CompilationID
  `static final String`
  `NAME_CONSTANT_VALUE`
  ConstantValue
  `static final String`
  `NAME_DEPRECATED`
  Deprecated
  `static final String`
  `NAME_ENCLOSING_METHOD`
  EnclosingMethod
  `static final String`
  `NAME_EXCEPTIONS`
  Exceptions
  `static final String`
  `NAME_INNER_CLASSES`
  InnerClasses
  `static final String`
  `NAME_LINE_NUMBER_TABLE`
  LineNumberTable
  `static final String`
  `NAME_LOCAL_VARIABLE_TABLE`
  LocalVariableTable
  `static final String`
  `NAME_LOCAL_VARIABLE_TYPE_TABLE`
  LocalVariableTypeTable
  `static final String`
  `NAME_METHOD_PARAMETERS`
  MethodParameters
  `static final String`
  `NAME_MODULE`
  Module
  `static final String`
  `NAME_MODULE_HASHES`
  ModuleHashes
  `static final String`
  `NAME_MODULE_MAIN_CLASS`
  ModuleMainClass
  `static final String`
  `NAME_MODULE_PACKAGES`
  ModulePackages
  `static final String`
  `NAME_MODULE_RESOLUTION`
  ModuleResolution
  `static final String`
  `NAME_MODULE_TARGET`
  ModuleTarget
  `static final String`
  `NAME_NEST_HOST`
  NestHost
  `static final String`
  `NAME_NEST_MEMBERS`
  NestMembers
  `static final String`
  `NAME_PERMITTED_SUBCLASSES`
  PermittedSubclasses
  `static final String`
  `NAME_RECORD`
  Record
  `static final String`
  `NAME_RUNTIME_INVISIBLE_ANNOTATIONS`
  RuntimeInvisibleAnnotations
  `static final String`
  `NAME_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS`
  RuntimeInvisibleParameterAnnotations
  `static final String`
  `NAME_RUNTIME_INVISIBLE_TYPE_ANNOTATIONS`
  RuntimeInvisibleTypeAnnotations
  `static final String`
  `NAME_RUNTIME_VISIBLE_ANNOTATIONS`
  RuntimeVisibleAnnotations
  `static final String`
  `NAME_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS`
  RuntimeVisibleParameterAnnotations
  `static final String`
  `NAME_RUNTIME_VISIBLE_TYPE_ANNOTATIONS`
  RuntimeVisibleTypeAnnotations
  `static final String`
  `NAME_SIGNATURE`
  Signature
  `static final String`
  `NAME_SOURCE_DEBUG_EXTENSION`
  SourceDebugExtension
  `static final String`
  `NAME_SOURCE_FILE`
  SourceFile
  `static final String`
  `NAME_SOURCE_ID`
  SourceID
  `static final String`
  `NAME_STACK_MAP_TABLE`
  StackMapTable
  `static final String`
  `NAME_SYNTHETIC`
  Synthetic
  `static final AttributeMapperPREVIEW<NestHostAttributePREVIEW>`
  `NEST_HOST`
  Attribute mapper for the `NestHost` attribute
  `static final AttributeMapperPREVIEW<NestMembersAttributePREVIEW>`
  `NEST_MEMBERS`
  Attribute mapper for the `NestMembers` attribute
  `static final AttributeMapperPREVIEW<PermittedSubclassesAttributePREVIEW>`
  `PERMITTED_SUBCLASSES`
  Attribute mapper for the `PermittedSubclasses` attribute
  `static final Set<AttributeMapperPREVIEW<?>>`
  `PREDEFINED_ATTRIBUTES`
  All standard attribute mappers.
  `static final AttributeMapperPREVIEW<RecordAttributePREVIEW>`
  `RECORD`
  Attribute mapper for the `Record` attribute
  `static final AttributeMapperPREVIEW<RuntimeInvisibleAnnotationsAttributePREVIEW>`
  `RUNTIME_INVISIBLE_ANNOTATIONS`
  Attribute mapper for the `RuntimeInvisibleAnnotations` attribute
  `static final AttributeMapperPREVIEW<RuntimeInvisibleParameterAnnotationsAttributePREVIEW>`
  `RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS`
  Attribute mapper for the `RuntimeInvisibleParameterAnnotations` attribute
  `static final AttributeMapperPREVIEW<RuntimeInvisibleTypeAnnotationsAttributePREVIEW>`
  `RUNTIME_INVISIBLE_TYPE_ANNOTATIONS`
  Attribute mapper for the `RuntimeInvisibleTypeAnnotations` attribute
  `static final AttributeMapperPREVIEW<RuntimeVisibleAnnotationsAttributePREVIEW>`
  `RUNTIME_VISIBLE_ANNOTATIONS`
  Attribute mapper for the `RuntimeVisibleAnnotations` attribute
  `static final AttributeMapperPREVIEW<RuntimeVisibleParameterAnnotationsAttributePREVIEW>`
  `RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS`
  Attribute mapper for the `RuntimeVisibleParameterAnnotations` attribute
  `static final AttributeMapperPREVIEW<RuntimeVisibleTypeAnnotationsAttributePREVIEW>`
  `RUNTIME_VISIBLE_TYPE_ANNOTATIONS`
  Attribute mapper for the `RuntimeVisibleTypeAnnotations` attribute
  `static final AttributeMapperPREVIEW<SignatureAttributePREVIEW>`
  `SIGNATURE`
  Attribute mapper for the `Signature` attribute
  `static final AttributeMapperPREVIEW<SourceDebugExtensionAttributePREVIEW>`
  `SOURCE_DEBUG_EXTENSION`
  Attribute mapper for the `SourceDebugExtension` attribute
  `static final AttributeMapperPREVIEW<SourceFileAttributePREVIEW>`
  `SOURCE_FILE`
  Attribute mapper for the `SourceFile` attribute
  `static final AttributeMapperPREVIEW<SourceIDAttributePREVIEW>`
  `SOURCE_ID`
  Attribute mapper for the `SourceID` attribute
  `static final AttributeMapperPREVIEW<StackMapTableAttributePREVIEW>`
  `STACK_MAP_TABLE`
  Attribute mapper for the `StackMapTable` attribute
  `static final AttributeMapperPREVIEW<SyntheticAttributePREVIEW>`
  `SYNTHETIC`
  Attribute mapper for the `Synthetic` attribute

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AttributeMapperPREVIEW<?>`
  `standardAttribute(Utf8EntryPREVIEW name)`
  Returns the attribute mapper for a standard attribute.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME_ANNOTATION_DEFAULT

    public static final String NAME_ANNOTATION_DEFAULT
    AnnotationDefault
    See Also:
      - Constant Field Values

  - ### NAME_BOOTSTRAP_METHODS

    public static final String NAME_BOOTSTRAP_METHODS
    BootstrapMethods
    See Also:
      - Constant Field Values

  - ### NAME_CHARACTER_RANGE_TABLE

    public static final String NAME_CHARACTER_RANGE_TABLE
    CharacterRangeTable
    See Also:
      - Constant Field Values

  - ### NAME_CODE

    public static final String NAME_CODE
    Code
    See Also:
      - Constant Field Values

  - ### NAME_COMPILATION_ID

    public static final String NAME_COMPILATION_ID
    CompilationID
    See Also:
      - Constant Field Values

  - ### NAME_CONSTANT_VALUE

    public static final String NAME_CONSTANT_VALUE
    ConstantValue
    See Also:
      - Constant Field Values

  - ### NAME_DEPRECATED

    public static final String NAME_DEPRECATED
    Deprecated
    See Also:
      - Constant Field Values

  - ### NAME_ENCLOSING_METHOD

    public static final String NAME_ENCLOSING_METHOD
    EnclosingMethod
    See Also:
      - Constant Field Values

  - ### NAME_EXCEPTIONS

    public static final String NAME_EXCEPTIONS
    Exceptions
    See Also:
      - Constant Field Values

  - ### NAME_INNER_CLASSES

    public static final String NAME_INNER_CLASSES
    InnerClasses
    See Also:
      - Constant Field Values

  - ### NAME_LINE_NUMBER_TABLE

    public static final String NAME_LINE_NUMBER_TABLE
    LineNumberTable
    See Also:
      - Constant Field Values

  - ### NAME_LOCAL_VARIABLE_TABLE

    public static final String NAME_LOCAL_VARIABLE_TABLE
    LocalVariableTable
    See Also:
      - Constant Field Values

  - ### NAME_LOCAL_VARIABLE_TYPE_TABLE

    public static final String NAME_LOCAL_VARIABLE_TYPE_TABLE
    LocalVariableTypeTable
    See Also:
      - Constant Field Values

  - ### NAME_METHOD_PARAMETERS

    public static final String NAME_METHOD_PARAMETERS
    MethodParameters
    See Also:
      - Constant Field Values

  - ### NAME_MODULE

    public static final String NAME_MODULE
    Module
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_HASHES

    public static final String NAME_MODULE_HASHES
    ModuleHashes
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_MAIN_CLASS

    public static final String NAME_MODULE_MAIN_CLASS
    ModuleMainClass
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_PACKAGES

    public static final String NAME_MODULE_PACKAGES
    ModulePackages
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_RESOLUTION

    public static final String NAME_MODULE_RESOLUTION
    ModuleResolution
    See Also:
      - Constant Field Values

  - ### NAME_MODULE_TARGET

    public static final String NAME_MODULE_TARGET
    ModuleTarget
    See Also:
      - Constant Field Values

  - ### NAME_NEST_HOST

    public static final String NAME_NEST_HOST
    NestHost
    See Also:
      - Constant Field Values

  - ### NAME_NEST_MEMBERS

    public static final String NAME_NEST_MEMBERS
    NestMembers
    See Also:
      - Constant Field Values

  - ### NAME_PERMITTED_SUBCLASSES

    public static final String NAME_PERMITTED_SUBCLASSES
    PermittedSubclasses
    See Also:
      - Constant Field Values

  - ### NAME_RECORD

    public static final String NAME_RECORD
    Record
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_INVISIBLE_ANNOTATIONS

    public static final String NAME_RUNTIME_INVISIBLE_ANNOTATIONS
    RuntimeInvisibleAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS

    public static final String NAME_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS
    RuntimeInvisibleParameterAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_INVISIBLE_TYPE_ANNOTATIONS

    public static final String NAME_RUNTIME_INVISIBLE_TYPE_ANNOTATIONS
    RuntimeInvisibleTypeAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_VISIBLE_ANNOTATIONS

    public static final String NAME_RUNTIME_VISIBLE_ANNOTATIONS
    RuntimeVisibleAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS

    public static final String NAME_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS
    RuntimeVisibleParameterAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_RUNTIME_VISIBLE_TYPE_ANNOTATIONS

    public static final String NAME_RUNTIME_VISIBLE_TYPE_ANNOTATIONS
    RuntimeVisibleTypeAnnotations
    See Also:
      - Constant Field Values

  - ### NAME_SIGNATURE

    public static final String NAME_SIGNATURE
    Signature
    See Also:
      - Constant Field Values

  - ### NAME_SOURCE_DEBUG_EXTENSION

    public static final String NAME_SOURCE_DEBUG_EXTENSION
    SourceDebugExtension
    See Also:
      - Constant Field Values

  - ### NAME_SOURCE_FILE

    public static final String NAME_SOURCE_FILE
    SourceFile
    See Also:
      - Constant Field Values

  - ### NAME_SOURCE_ID

    public static final String NAME_SOURCE_ID
    SourceID
    See Also:
      - Constant Field Values

  - ### NAME_STACK_MAP_TABLE

    public static final String NAME_STACK_MAP_TABLE
    StackMapTable
    See Also:
      - Constant Field Values

  - ### NAME_SYNTHETIC

    public static final String NAME_SYNTHETIC
    Synthetic
    See Also:
      - Constant Field Values

  - ### ANNOTATION_DEFAULT

    public static final AttributeMapperPREVIEW<AnnotationDefaultAttributePREVIEW> ANNOTATION_DEFAULT
    Attribute mapper for the `AnnotationDefault` attribute

  - ### BOOTSTRAP_METHODS

    public static final AttributeMapperPREVIEW<BootstrapMethodsAttributePREVIEW> BOOTSTRAP_METHODS
    Attribute mapper for the `BootstrapMethods` attribute

  - ### CHARACTER_RANGE_TABLE

    public static final AttributeMapperPREVIEW<CharacterRangeTableAttributePREVIEW> CHARACTER_RANGE_TABLE
    Attribute mapper for the `CharacterRangeTable` attribute

  - ### CODE

    public static final AttributeMapperPREVIEW<CodeAttributePREVIEW> CODE
    Attribute mapper for the `Code` attribute

  - ### COMPILATION_ID

    public static final AttributeMapperPREVIEW<CompilationIDAttributePREVIEW> COMPILATION_ID
    Attribute mapper for the `CompilationID` attribute

  - ### CONSTANT_VALUE

    public static final AttributeMapperPREVIEW<ConstantValueAttributePREVIEW> CONSTANT_VALUE
    Attribute mapper for the `ConstantValue` attribute

  - ### DEPRECATED

    public static final AttributeMapperPREVIEW<DeprecatedAttributePREVIEW> DEPRECATED
    Attribute mapper for the `Deprecated` attribute

  - ### ENCLOSING_METHOD

    public static final AttributeMapperPREVIEW<EnclosingMethodAttributePREVIEW> ENCLOSING_METHOD
    Attribute mapper for the `EnclosingMethod` attribute

  - ### EXCEPTIONS

    public static final AttributeMapperPREVIEW<ExceptionsAttributePREVIEW> EXCEPTIONS
    Attribute mapper for the `Exceptions` attribute

  - ### INNER_CLASSES

    public static final AttributeMapperPREVIEW<InnerClassesAttributePREVIEW> INNER_CLASSES
    Attribute mapper for the `InnerClasses` attribute

  - ### LINE_NUMBER_TABLE

    public static final AttributeMapperPREVIEW<LineNumberTableAttributePREVIEW> LINE_NUMBER_TABLE
    Attribute mapper for the `LineNumberTable` attribute

  - ### LOCAL_VARIABLE_TABLE

    public static final AttributeMapperPREVIEW<LocalVariableTableAttributePREVIEW> LOCAL_VARIABLE_TABLE
    Attribute mapper for the `LocalVariableTable` attribute

  - ### LOCAL_VARIABLE_TYPE_TABLE

    public static final AttributeMapperPREVIEW<LocalVariableTypeTableAttributePREVIEW> LOCAL_VARIABLE_TYPE_TABLE
    Attribute mapper for the `LocalVariableTypeTable` attribute

  - ### METHOD_PARAMETERS

    public static final AttributeMapperPREVIEW<MethodParametersAttributePREVIEW> METHOD_PARAMETERS
    Attribute mapper for the `MethodParameters` attribute

  - ### MODULE

    public static final AttributeMapperPREVIEW<ModuleAttributePREVIEW> MODULE
    Attribute mapper for the `Module` attribute

  - ### MODULE_HASHES

    public static final AttributeMapperPREVIEW<ModuleHashesAttributePREVIEW> MODULE_HASHES
    Attribute mapper for the `ModuleHashes` attribute

  - ### MODULE_MAIN_CLASS

    public static final AttributeMapperPREVIEW<ModuleMainClassAttributePREVIEW> MODULE_MAIN_CLASS
    Attribute mapper for the `ModuleMainClass` attribute

  - ### MODULE_PACKAGES

    public static final AttributeMapperPREVIEW<ModulePackagesAttributePREVIEW> MODULE_PACKAGES
    Attribute mapper for the `ModulePackages` attribute

  - ### MODULE_RESOLUTION

    public static final AttributeMapperPREVIEW<ModuleResolutionAttributePREVIEW> MODULE_RESOLUTION
    Attribute mapper for the `ModuleResolution` attribute

  - ### MODULE_TARGET

    public static final AttributeMapperPREVIEW<ModuleTargetAttributePREVIEW> MODULE_TARGET
    Attribute mapper for the `ModuleTarget` attribute

  - ### NEST_HOST

    public static final AttributeMapperPREVIEW<NestHostAttributePREVIEW> NEST_HOST
    Attribute mapper for the `NestHost` attribute

  - ### NEST_MEMBERS

    public static final AttributeMapperPREVIEW<NestMembersAttributePREVIEW> NEST_MEMBERS
    Attribute mapper for the `NestMembers` attribute

  - ### PERMITTED_SUBCLASSES

    public static final AttributeMapperPREVIEW<PermittedSubclassesAttributePREVIEW> PERMITTED_SUBCLASSES
    Attribute mapper for the `PermittedSubclasses` attribute

  - ### RECORD

    public static final AttributeMapperPREVIEW<RecordAttributePREVIEW> RECORD
    Attribute mapper for the `Record` attribute

  - ### RUNTIME_INVISIBLE_ANNOTATIONS

    public static final AttributeMapperPREVIEW<RuntimeInvisibleAnnotationsAttributePREVIEW> RUNTIME_INVISIBLE_ANNOTATIONS
    Attribute mapper for the `RuntimeInvisibleAnnotations` attribute

  - ### RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS

    public static final AttributeMapperPREVIEW<RuntimeInvisibleParameterAnnotationsAttributePREVIEW> RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS
    Attribute mapper for the `RuntimeInvisibleParameterAnnotations` attribute

  - ### RUNTIME_INVISIBLE_TYPE_ANNOTATIONS

    public static final AttributeMapperPREVIEW<RuntimeInvisibleTypeAnnotationsAttributePREVIEW> RUNTIME_INVISIBLE_TYPE_ANNOTATIONS
    Attribute mapper for the `RuntimeInvisibleTypeAnnotations` attribute

  - ### RUNTIME_VISIBLE_ANNOTATIONS

    public static final AttributeMapperPREVIEW<RuntimeVisibleAnnotationsAttributePREVIEW> RUNTIME_VISIBLE_ANNOTATIONS
    Attribute mapper for the `RuntimeVisibleAnnotations` attribute

  - ### RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS

    public static final AttributeMapperPREVIEW<RuntimeVisibleParameterAnnotationsAttributePREVIEW> RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS
    Attribute mapper for the `RuntimeVisibleParameterAnnotations` attribute

  - ### RUNTIME_VISIBLE_TYPE_ANNOTATIONS

    public static final AttributeMapperPREVIEW<RuntimeVisibleTypeAnnotationsAttributePREVIEW> RUNTIME_VISIBLE_TYPE_ANNOTATIONS
    Attribute mapper for the `RuntimeVisibleTypeAnnotations` attribute

  - ### SIGNATURE

    public static final AttributeMapperPREVIEW<SignatureAttributePREVIEW> SIGNATURE
    Attribute mapper for the `Signature` attribute

  - ### SOURCE_DEBUG_EXTENSION

    public static final AttributeMapperPREVIEW<SourceDebugExtensionAttributePREVIEW> SOURCE_DEBUG_EXTENSION
    Attribute mapper for the `SourceDebugExtension` attribute

  - ### SOURCE_FILE

    public static final AttributeMapperPREVIEW<SourceFileAttributePREVIEW> SOURCE_FILE
    Attribute mapper for the `SourceFile` attribute

  - ### SOURCE_ID

    public static final AttributeMapperPREVIEW<SourceIDAttributePREVIEW> SOURCE_ID
    Attribute mapper for the `SourceID` attribute

  - ### STACK_MAP_TABLE

    public static final AttributeMapperPREVIEW<StackMapTableAttributePREVIEW> STACK_MAP_TABLE
    Attribute mapper for the `StackMapTable` attribute

  - ### SYNTHETIC

    public static final AttributeMapperPREVIEW<SyntheticAttributePREVIEW> SYNTHETIC
    Attribute mapper for the `Synthetic` attribute

  - ### PREDEFINED_ATTRIBUTES

    public static final Set<AttributeMapperPREVIEW<?>> PREDEFINED_ATTRIBUTES
    All standard attribute mappers.

- ## Method Details

  - ### standardAttribute

    public static AttributeMapperPREVIEW<?> standardAttribute(Utf8EntryPREVIEW name)
    Returns the attribute mapper for a standard attribute.
    Parameters:
      `name` - the name of the attribute to find
    Returns:
      the attribute mapper for a standard attribute